--
-- ### Recursive procedure checks
--

drop if exists procedure recCheck;

@
create procedure recCheck(a in int) return int
begin
	var i int;
	
	if :a > 0
	then
		:i = recCheck( :a -1 );
	else
		:i = 0;
	end;
	
	return :i + 1;
end;
@

:i = call recCheck(189);
print :i;
